Page MenuHomePhabricator

fix: convert clang-format-ignorelist to use wildcards
ClosedPublic

Authored by spectral on Dec 12 2019, 5:42 PM.

Details

Summary

It's very brittle to specify the exact filenames for these vendored/thirdparty
libraries; when there's an upgrade, it's likely not going to be updated.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

spectral created this revision.Dec 12 2019, 5:42 PM
pulkit added a subscriber: pulkit.Dec 20 2019, 7:25 AM
pulkit added inline comments.
contrib/clang-format-ignorelist
6–11

I learned from first patch in this series that this should be rootglob instead ;)

pulkit accepted this revision.Jan 9 2020, 7:34 AM
This revision is now accepted and ready to land.Jan 9 2020, 7:34 AM
This revision was automatically updated to reflect the committed changes.